//
// --- the interface to scilab
//
extern "C" _declspec(dllexport) 
void RMOD_K_SCIFunction( double *prhs, double *mode, double *output1, double *output2);
#include "RMOD_K_Formula_Opti.h"

void RMOD_K_SCIFunction( double *prhs, double *mode, double *output1, double *output2)
{
	int    i,l=0,Ndesvar,Nmodelparameter;
	static CRMOD_K_Formula_Opti RMOD_K_Formula;
   double *input1,input2;
//
// --- get input1 argument: design variables
//
   input1 = prhs;
//
// --- get input2 argument: caller mode
//
   input2 = *mode;
//
// --- call the formula
//
	output1[0] = RMOD_K_Formula.Set_TargetValue ( input1, &input2 );
	Nmodelparameter = RMOD_K_Formula.Get_NModelPar();
	Ndesvar         = (int) *output1;

	for ( int i=0; i<Ndesvar; i++ )
	{
		output2[i] = input1[i];
	}
//
// --- transfer bounds to SCILAB
//
	if ( *mode == 0 )
	{
		for ( i=0; i<Nmodelparameter; i++ )
		{
			if ( RMOD_K_Formula.Is_desvar(i) )
			{
				output2[l+  Ndesvar] = RMOD_K_Formula.Get_desmin(i);
				output2[l+2*Ndesvar] = RMOD_K_Formula.Get_desmax(i);
				l++;
			}	
		}
	}
}



